# pqxx::nontransaction Class Reference

`#include <nontransaction.hxx>`

Inheritance diagram for pqxx::nontransaction:

[legend]

List of all members.

## Public Member Functions
| nontransaction (connection_base &C, const std::string &Name=std::string())
| Constructor.
virtual | ~nontransaction ()

## Constructor & Destructor Documentation

pqxx::nontransaction::nontransaction | ( | connection_base & | C,
|  | const std::string & | Name = `std ::string()` |
| ) |  |  | `[explicit]`

Constructor.

Create a "dummy" transaction.

Parameters:

  | C | Connection that this "transaction" will operate on.
  | Name | Optional name for the transaction, beginning with a letter and containing only letters and digits.

pqxx::nontransaction::~nontransaction | ( |  | ) | `[virtual]`

References pqxx::transaction_base::End().

The documentation for this class was generated from the following files:

- nontransaction.hxx
- nontransaction.cxx